<template>
  <p class="mt-info">
    <b-icon icon="information" custom-class="mt-info-custom-size" />
    <slot></slot>
  </p>
</template>

<script>
export default {
  name: 'MtMessageInfo',
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables';

.mt-info {
  font-size: $size-7;
  color: $soft-blue;
  display: flex;
  align-items: center;
  cursor: default;

  /deep/ .mt-info-custom-size::before {
    color: $soft-blue;
    font-size: 1.6em;
  }
  /deep/ .mt-info-custom-size {
    margin-right: 0.6em;
  }
}
</style>
